de.caff.util.settings

## Class SimpleByteProperty

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.SimpleByteProperty

- All Implemented Interfaces:
    ChangeableItem, Property<java.lang.Byte>, java.io.Serializable
  Direct Known Subclasses:
    SimpleBytePreferenceProperty

      public class SimpleByteProperty
      extends AbstractBasicChangeableItem
      implements Property<java.lang.Byte>

  A simple property, holding a byte value.
  Since:
    November 28, 2016
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleByteProperty(java.lang.String basicName)` Constructor.
    `SimpleByteProperty(java.lang.String basicName, byte value)` Constructor.
    `SimpleByteProperty(java.lang.String basicName, int value)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Byte` | `getValue()` Get the value of the property.
    `void` | `setValue(byte value)` Set the value.
    `void` | `setValue(java.lang.Byte value)` Set the value.
    `void` | `setValue(int value)` Set the value.

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Constructor Detail

    - #### SimpleByteProperty

          public SimpleByteProperty(@NotNull
                                    java.lang.String basicName)

      Constructor. Construct a property with the given name or name prefix.
      Parameters:
        `basicName` - name or name prefix

    - #### SimpleByteProperty

          public SimpleByteProperty(@NotNull
                                    java.lang.String basicName,
                                    int value)

      Constructor. Construct a property with the given name or name prefix.
      Parameters:
        `basicName` - name or name prefix
        `value` - initial value, only the lower 8 bits are used

    - #### SimpleByteProperty

          public SimpleByteProperty(@NotNull
                                    java.lang.String basicName,
                                    byte value)

      Constructor. Construct a property with the given name or name prefix.
      Parameters:
        `basicName` - name or name prefix
        `value` - initial value, only the lower 8 bits are used

  - ### Method Detail

    - #### getValue

          @NotNull
          public java.lang.Byte getValue()

      Get the value of the property.
      Specified by:
        `getValue` in interface `Property<java.lang.Byte>`
      Returns:
        property value

    - #### setValue

          public void setValue(java.lang.Byte value)

      Set the value.
      Specified by:
        `setValue` in interface `Property<java.lang.Byte>`
      Parameters:
        `value` - new value (not `null`

    - #### setValue

          public void setValue(byte value)

      Set the value.
      Parameters:
        `value` - new value

    - #### setValue

          public void setValue(int value)

      Set the value.

      This is a convenience method.

      Parameters:
        `value` - new value, only the lower 8 bits are used